## org.acedb
Class AceURL

    java.lang.Object
      |
      +--org.acedb.AceURL

public class AceURL
extends java.lang.Object

Constructor Summary
`AceURL(java.lang.String spec)`
`AceURL(java.lang.String protocol, java.lang.String host, int port, java.lang.String file, java.lang.String query, java.lang.String ref, java.lang.String userInfo, java.lang.String authority)`
`AceURL(java.net.URL old, java.lang.String userInfo, java.lang.String authority, java.lang.String query)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getAuthority()`
`java.lang.String` `getFile()`
`java.lang.String` `getHost()`
`java.lang.String` `getPath()`
`int` `getPort()`
`java.lang.String` `getProtocol()`
`java.lang.String` `getQuery()`
`java.lang.String` `getRef()`
`java.lang.String` `getUserInfo()`
`int` `hashCode()`
`AceURL` `relativeURL(java.lang.String fragment)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AceURL

    public AceURL(java.lang.String protocol,
                  java.lang.String host,
                  int port,
                  java.lang.String file,
                  java.lang.String query,
                  java.lang.String ref,
                  java.lang.String userInfo,
                  java.lang.String authority)

### AceURL

    public AceURL(java.net.URL old,
                  java.lang.String userInfo,
                  java.lang.String authority,
                  java.lang.String query)

### AceURL

    public AceURL(java.lang.String spec)
           throws AceURLException

Method Detail

### relativeURL

    public AceURL relativeURL(java.lang.String fragment)

### getAuthority

    public java.lang.String getAuthority()

### getFile

    public java.lang.String getFile()

### getHost

    public java.lang.String getHost()

### getPath

    public java.lang.String getPath()

### getPort

    public int getPort()

### getProtocol

    public java.lang.String getProtocol()

### getQuery

    public java.lang.String getQuery()

### getRef

    public java.lang.String getRef()

### getUserInfo

    public java.lang.String getUserInfo()

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    equals in class java.lang.Object

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object